Bug 445413 - device-mapper-multipath-debuginfo package incomplete
device-mapper-multipath-debuginfo package incomplete
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Ben Marzinski
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 15:19 EDT by Dave Wysochanski
Modified: 2010-01-11 21:31 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* the Makefiles for some of the multipath tools were stripping the binaries, which would make debugging impossible. Now all binaries are compiled with debugging enabled.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2008-05-06 15:19:01 EDT
Description of problem:

Does not have full source and so installation does not help with debugging much.

# rpm -ql device-mapper-multipath-debuginfo-0.4.5-31.el4
/usr/lib/debug/sbin/cciss_id.debug
/usr/lib/debug/sbin/kpartx.debug
/usr/lib/debug/sbin/kpartx.static.debug
/usr/lib/debug/sbin/mpath_ctl.debug
/usr/lib/debug/sbin/mpath_prio_alua.debug
/usr/lib/debug/sbin/mpath_prio_emc.debug
/usr/lib/debug/sbin/mpath_prio_hds_modular.debug
/usr/lib/debug/sbin/mpath_prio_hp_sw.debug
/usr/lib/debug/sbin/mpath_prio_tpc.debug
/usr/lib/debug/sbin/multipath.debug
/usr/lib/debug/sbin/multipath.static.debug
/usr/lib/debug/sbin/multipathd.debug
/usr/src/debug/multipath-tools-0.4.5.72
/usr/src/debug/multipath-tools-0.4.5.72/path_priority
/usr/src/debug/multipath-tools-0.4.5.72/path_priority/pp_alua
/usr/src/debug/multipath-tools-0.4.5.72/path_priority/pp_alua/main.c
/usr/src/debug/multipath-tools-0.4.5.72/path_priority/pp_alua/rtpg.c
/usr/src/debug/multipath-tools-0.4.5.72/path_priority/pp_alua/spc3.h
/usr/src/debug/multipath-tools-0.4.5.72/path_priority/pp_emc
/usr/src/debug/multipath-tools-0.4.5.72/path_priority/pp_emc/pp_emc.c
/usr/src/debug/multipath-tools-0.4.5.72/path_priority/pp_hds_modular
/usr/src/debug/multipath-tools-0.4.5.72/path_priority/pp_hds_modular/pp_hds_modular.c
[root@rhel4u5-node1-dwysocha scripts]# gdb
/usr/lib/debug/sbin/multipath.static.debug
GNU gdb Red Hat Linux (6.3.0.0-1.153.el4_6.2rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db
library "/lib64/tls/libthread_db.so.1".

(gdb) list
1096    main.c: No such file or directory.
        in main.c
(gdb) quit

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.5-31.el4
Comment 1 Ben Marzinski 2008-05-06 17:46:07 EDT
Some of the Makefiles were stripping the binaries. Now all binaries are compiled
with debugging enabled, and are not stripped by the Makefiles
Comment 2 Dave Wysochanski 2008-05-16 15:23:14 EDT
Where is this package?  I still do not see the source.  I'm looking in:
/mnt/redhat/brewroot/packages/device-mapper-multipath/0.4.5/31.el4/x86_64/device-mapper-multipath-debuginfo-0.4.5-31.el4.x86_64.rpm
Comment 4 RHEL Product and Program Management 2008-09-05 13:04:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Ruediger Landmann 2009-02-02 00:48:06 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* the Makefiles for some of the multipath tools were stripping the binaries, which would make debugging impossible. Now all binaries are compiled with debugging enabled.
Comment 8 errata-xmlrpc 2009-05-18 16:31:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1011.html

Note You need to log in before you can comment on or make changes to this bug.